本文書は Linux カーネル 2.2.19 の Documentation/Changes の
日本語訳です。再配布条件は GPL2 に従うものとします。

はじめに
========

この文書の目的は、2.2 カーネルを動作させるために最低限必要な
ソフトウェアのリストを提供することと、最先端での人生を歩もうとする
ユーザの皆さんが遭遇するであろうその他もろもろに関する簡単な説明を
提供することです。2.0.x 以前のカーネルからアップグレードを行う場合は、
まず 2.0.x カーネルにある Changes ファイルを見てください。この文書には
ない情報が書いてあり、それらの多くはこの文書では繰り返していません。
基本的にこの文書では、あなたのシステムがすでに 2.0.x 以上のカーネルで
動作し、正しく機能していることを前提としています。

このファイルは 2.0.x カーネルの "Changes" ファイルをもとにしています。
したがって貢献者もほぼ同じ人々です (Jared Mauch, Axel Boldt,
Alessandro Sigala, その他ネット中にいる数え切れない人たち)。
変更・修正・あら探し・文句・お金その他は、ご遠慮なく私 (kaboom@gatech.edu)
まで送ってください。その場合、diff 形式にしてくださるには及びません。
この文書はもともと texinfo で記述されているので、diff はどっちにして
も役に立たないんです (あくまでも diff にこだわる人は、それでも結構です。
手パッチしますから :-)。

最新版は常に
http://cyberbuzz.gatech.edu/kaboom/linux/
からも入手できます。

フランス語版の翻訳は
http://www.linux-france.com/article/sys/Changes-2.2/Changes-2.2.1.html
にあります。

日本語版はこちらです (テキスト版, HTML 版)
http://www.linux.or.jp/JF/JFdocs/kernel-docs-2.2/Changes
http://www2.palnet.or.jp/~matsuda/Changes-2.2.ja.html

スペイン語版をご希望の方は
http://www2.adi.uam.es/~ender/tecnico/cambios22.html
をお訪ねください。

Linux カーネルでなにか必要になった場合は

   http://www.linuxhq.com/

   http://www.kernelnotes.org/

   http://www.kernel.org/
   
もお忘れなく。

Last updated: October 13, 1999
Current Author: Chris Ricker (kaboom@gatech.edu or
        chris.ricker@genetics.utah.edu).

訳注: 日本語訳は中野武雄 (nakano@apm.seikei.ac.jp) と藤原輝嘉
(fjwr@mtj.biglobe.ne.jp) が行いました。誤訳その他のご指摘は
JF メーリングリスト (JF@linux.or.jp) にお送りください。

翻訳に際しては、JF-ML などで花高さん、長谷川さん、柴田(ひ)さんに
ご指摘・ご意見をいただきました。ありがとうございました。

HTML 版は松田陽一さん (matsuda@palnet.or.jp) が作成・公開して
くださいました。

日本語版の最終更新日付は、本文書末尾の CVS Id をご覧ください。

現時点での最低限必要なもののリスト
**********************************

バグだと思う前に、少なくとも以下のソフトウェアを記述されている
バージョンにアップグレードしてください。現在使っているバージョンが
わからない場合は、一番右に書いてあるコマンドを実行してみてください。

- Kernel modutils        2.1.121                 ; insmod -V
- Gnu C                  2.7.2.3                 ; gcc --version
- Binutils               2.8.1.0.23              ; ld -v
- Linux libc5 C Library  5.4.46                  ; ls -l /lib/libc*
- Linux libc6 C Library  2.0.7pre6               ; ls -l /lib/libc*
- Dynamic Linker (ld.so) 1.9.9                   ; ldd --version or ldd -v
- Linux C++ Library      2.7.2.8                 ; ls -l /usr/lib/libg++.so.*
- Procps                 2.0.3                   ; ps --version
- Procinfo               16                      ; procinfo -v
- Psmisc                 17                      ; pstree -V
- Net-tools              1.52                    ; hostname -V
- Loadlin                1.6a
- Sh-utils               1.16                    ; basename --v
- Autofs                 3.1.3                   ; automount --version
- NFS                    2.2beta40               ; showmount --version
- Bash                   1.14.7                  ; bash -version
- Ncpfs                  2.2.0                   ; ncpmount -v
- Pcmcia-cs              3.0.14                  ; cardmgr -V
- PPP                    2.3.10                  ; pppd --version
- Util-linux             2.9z                    ; chsh -v
- isdn4k-utils           v3.1beta7               ; isdnctrl 2>&1|grep version

アップグレードでの注意
**********************

一般的な情報
============

<CTRL><ALT><DEL> は、ウォームリブートではなくコールドリブートをする
ようになりました (ハードウェア間の互換性向上のためです)。お使いの
ハードウェアがウォームリブートに対応していて、こちらをご希望の方は、
LILO のコマンドラインオプションに "reboot=warm" を追加してください。
そんなに多くはないでしょうが、"reboot=bios" を指定して BIOS 経由で
リブートさせないといけないマシンもあるようです。

また cua* デバイスは過去のものとなりました。それぞれ対応する
ttyS* デバイス (つまり cua0 -> ttyS0, cua1 -> ttyS1 など) に
切り替えてください。

さらに、そのまま動作しているソフトウェアでも、完全な機能を発揮させる
には  2.2 のヘッダに合わせてコンパイルしなおす必要があるかもしれません。
例えば 2.0 以前のカーネルでコンパイルされた fdutils のバイナリは、
2.2 でコンパイルしたものと置き換える必要があります。

/dev/ttyp* に対するメジャー番号 4 のサポートは批判が多かったので
2.1.115 の時点で削除されました。必要な場合は (つまり明らかに数は
足りているはずなのに "out of pty" というエラーメッセージが出た場合は)、
メジャー番号 3 で /dev/tty* を、またメジャー番号 2 で /dev/pty*
デバイスを作成してください (より詳しい情報は Documentation/devices.txt
を見てください)。一般に、なにか問題が起こったときには /dev ディレクトリ
が最新になっているかどうかを確認してみるといいでしょう。

Unix98 pty デバイスのサポートもオプションとして追加されました。
Unix98 pty を使いたい場合は、glib-2.0.9x 以降を使い、完全に
Unix98 pty に乗り換える必要があります。Unix98 pty サポートの
一般的な設定方法は以下です。

- CONFIG_UNIX98_PTYS と CONFIG_DEVPTS_FS を指定してカーネルを
  コンパイルします。
- mknod /dev/ptmx c 5 2
  chmod 666 /dev/ptmx
  mkdir /dev/pts
- /etc/fstab: に以下を追加します。

  none            /dev/pts        devpts        gid=5,mode=620    0 0

   (注意: gid=5 はグループ "tty" が gid 5 になっている Red Hat の
    システム向けです。お使いのディストリビューションに合わせて
    変更してください。"mesg n" をデフォルトにしたい場合は mode=600
    を使ってください。)
- /dev/pts をマウントします。

フレームバッファのコンソール ("fbcon") は、VGA テキストモードが
使えない非 Intel 版だけでなく、すべてのプラットフォームのカーネルに
含まれるようになりました。使いたい人は VGAcon もまだ使えますが、
fbcon はすべての Linux において統一されたグラフィックサブシステム
を提供しますし、ブート時に愉快なペンギンのロゴを見せてくれます ;-)
詳しい情報は Documentation/fb/ にあるファイルを見てください。fbset
ユーティリティもダウンロードする必要があるでしょう。

Libc (libc5)
============

Linux-2.2 は ELF のみの対応です。本気でお望みなら a.out の
アプリケーションをコンパイルすることもまだできますが、カーネルは
ELF でコンパイルしなければなりません。現時点で ELF をコンパイル
できない人は、
http://metalab.unc.edu/mdw/HOWTO/ELF-HOWTO.html
にある ELF-HOWTO を見てシステムを適切にアップグレードしてください。

訳注: 日本語版 ELF-HOWTO は
http://www.linux.or.jp/JF/JFdocs/ELF-HOWTO.html
です。

モジュールを動作させるためには、libc-5.4.x 以降が必要です。
libc をアップグレードすれば、他の問題 (セキュリティホールなど) も
修正されますし、5.4.7 には必要なシンボルがなかったりもします
ので、最新の 5.4.x を入手しましょう。現時点では libc-5.4.46 が
最新のパブリック・リリース版です。

libc-5.4.x にアップグレードした場合、ダイナミックリンカ (ld.so) も
1.9.9 以降にアップグレードする必要があります。さもないと、どんな
不具合が起こるかわかりません。実際には ld.so-1.8.2 以降なら動作する
ようですが、1.9.9 は広く配布されているので、アップグレードが必要なら
1.9.9 にしましょう。1.8.5 以降のリリースを入手した場合でも、1.8.10
は使わないように。この版ではバグが入ってしまい、続く版で修正された
からです。glibc2 / libc6 を使わない人は ld.so-2.x をインストールしない
ようにも注意してください。

libc-5.4.x にアップグレードした場合は、NIS をお使いなら ypbind
をアップグレードする必要があります。ypbind と glibc の組合せには、
おそらく ypbind のソースと同じディレクトリにある ypbind-3.3-glibc5.diff
パッチが必要になるでしょう。

libc-5.4.46 にアップグレードしたら、付属のリリースノートもちゃんと
読んで、その内容に注意を払ってください。make が壊れる、と書いてある
章の記述は冗談ではありません。

GNU libc (libc6)
================

GNU libc (libc6) の古いバージョンでは、ダイナミックリンカにバグが
ありました。/etc/ld.so.cache はメモリマップされるのですが、決して
アンマップされないのです。ブートスクリプトが ldconfig を呼ぶと
/etc/ld.so.cache は消去されますが、init はこのファイルを参照し続けて
しまうのです。したがって 2.1.122 の段階では、カーネルはシャットダウンの
時にルートファイルシステムをリードオンリーで再マウントすることが
できなくなります。この問題を修正するには、GNU libc 2.0.7 の
pre6 リリース以降にアップグレードしてください。当座の回避策としては、
ブートスクリプトを修正して、ldconfig の前に以下を実行するように
してください。

        ln -f /etc/ld.so.cache /etc/ld.so.cache.old

モジュール
==========

Linux 2.2 カーネルに対応した最新版の modutils にアップグレードする
必要があります。このバージョンはお使いの 2.0 カーネルでも動作します。

2.1.90-pre1 の時点で、kerneld はカーネルスレッドによって置き換えられ
ました。詳しい情報は Documentation/kmod.txt を見てください。ユーザレベル
における主な変更は、これによって init スクリプトに変更が必要になったこと、
具体的には kerneld を実行する前に /proc/sys/kernel/modprobe が存在しない
ことをチェックしなければならなくなったことです。

Binutils
========

binutils をアップグレードする場合は、付属のリリースノートを良く
読んで、正しい方法でアップグレードするようにしてください。
いいえ、"rm `which encaps`" に関する説明は冗談ではないのですよ。

binutils 2.8.x 系での最新のパブリックリリースは 2.8.1.0.23 です。
binutils 2.8.1.0.25 から 2.9.1.0.2 はベータリリースで、とても
バグバグしていることがわかっています。FSF からリリースされている
binutils 2.9.1 (suffix がないことに注意) は動作するはずです。また
2.9.1.0.7 以降も OK です。binutils-2.8.1.0.23 か binutils-2.9.1.0.7
以降を使いましょう。ただし glibc2 ユーザは 2.9.1.0.x リリースを
使うようにしましょう。こちらでは glibc2 と binutils-2.8.x リリース
の間にあった問題が解決されているからです。

ksymoops をコンパイルするためには、最新の binutils パッケージに
含まれる libbfd, libiberty, /usr/include/bfd.h も必要になります。
お使いのディストリビューションによっては、これらをインストールする
ためには binutils と binutils-development パッケージの両方が必要に
なるかもしれません (例えば Debian では bfd.h は binutils-dev に
入っています)。

Bin86
=====

IA32 プラットフォームでカーネルをコンパイルするには、リアルモードの
アセンブラとリンカが必要です。これらは bin86 パッケージに入っています。

Gnu C
=====

カーネルをコンパイルするには GCC 2.7.2 以降が必要です。これ以前の
版からアップグレードする場合は、GCC 2.7.2.3 にすると良いでしょう。
これが安定版のパブリックリリースとしては最新のものです。現在 GCC 2.7.2
を持っている人は、カーネルをコンパイルするためだけにバージョンを
上げる必要はありません (でも gcc のバグフィックスを望む方は、どうぞ
アップグレードしてください)。

最近のコンパイラ (pgcc, gcc 2.95) は、カーネルのコンパイル中に悪さを
するかもしれません (特に -O9 のような非常識な最適化を指定した場合には)。
危険は利用者が負担してください。一般に x86 においては、gcc-2.7.2.3 と
egcs 1.1.2 が安定している事が知られています。これに比べると gcc 2.95
その他のコンパイラは、徹底的にテストされたとはまだ言えないようです。

x86 プラットフォーム以外における推奨コンパイラに関しては、各々の
プラットフォームの情報源にあたってください。

ネットワーク関係の変更
======================

ルーティングコードの変更に関するより詳しい情報は、
Documentation/networking/routing.txt と
Documentation/networking/policy-routing.txt を見てください。
OSPF クラスが追加され、インターフェースに対するルートが自動的に
設定されるようになりました。

自動で行われるデフォルトのルーティングを何らかの理由で上書きしたい
場合、これをカーネルに認識させるには、ルート指定 (ネットマスク、
デバイス、他) を完全な形で行う必要があります。したがって自動的な
ルートを置き換える場合には、インターフェースルートを init スクリプト
から削除するか、足りない情報を追加してやる必要があります。

いくつかのルート (例えば loopback ルート) が標準的なツールでは
現われなくなったことにも注意してください。それらがちゃんと存在
しているかどうかを調べるには /proc/net/rt_local をチェックして
ください。

IP forwarding を有効にするには、次のコマンドを実行してください。

        echo 1 > /proc/sys/net/ipv4/ip_forward

その他の機能を有効にするときにも同様の手続きが必要です。なにかが
うまくいかないときは、/proc/sys/net/ipv4/ ディレクトリをチェック
してみてください。一般に "1" は有効を、"0" は無効となっていることを
表します。

ネットワークに関するたくさんのエラーが報告されるような場合には、
もっと新しい net-tools にアップグレードするチャンスだと思ってください。
これらでは /proc/net/dev の新しいフォーマットを理解するようになって
います。また IPv6 のような新しい機能もサポートされています。

2.1.102 の時点で、IP firewall のコードが置き換えられました。
ipfwadm は今後動作しません。http://netfilter.filewatcher.org/ipchains/
から "ipchains" を入手して、こちらを ipfwadm の代わりに用いる
必要があります。

masq forwarding を利用する場合には http://juanjox.kernelnotes.org/
から "ipmasqadm" を入手する必要があります。

2.0 用の DHCP クライアントは 2.2 カーネルの新しいネットワークコード
では動作しません。dhcpd / dhcpclient をアップグレードする必要が
あります。

2.0.x では、コンパイル時の設定オプションによってソースルートされた
IP パケット (source routed IP packets) を落とすようにカーネルを設定
することができました。2.2.x では、この機能は sysctl によって置き換え
られました。詳細な情報については Documentation/networking/ip-sysctl.txt
を見て下さい。

メモリ
======

2.1.41 で /proc/meminfo のフォーマットが変更されました。これに
よって多くのメモリユーティリティが動作しなくなり、アップグレードが
必要になりました。新しい procps を入手してインストールしましょう。

NFS
===

カーネルの NFS コードは現在も更新中で、性能が大きく向上しました。
また amd は、ずっと優れた機能を持つ autofs の登場によって退場することに
なりました。autofs 用のユーティリティや、NFS 用にも新しい
ユーティリティを入手する必要があるでしょう。また、ユーザ空間での
NFS と、カーネルレベルの NFS (knfs) を選択できるようになりました。

Util-linux (mount 含む)
=======================

Linux カーネル 2.2 における多くの進歩のひとつとして、IA32 スワップ
パーティションにおける 128 M の制限が撤廃されました。より大きな
スワップスペースを使うには、util-linux の新しい mkswap を用いる
必要があります。また最新版の mount を使いたい場合にも、util-linux
をアップグレードする必要があります。

1 セクタが 2048 バイトのメディア (よくあるのはある種の MO ディスク)
上のパーティションは、2.1 カーネルのシリーズではずっと壊れていました。
つまり 2.1 でパーティショニングされたメディアは 2.2 では使えないのです。
これは 2.2 のバグではありません - 2.2 でやっと正しい振る舞いをする
ようになったんです! [もし 2.1 と 2.2 の両方でメディアの読み書きを
しなければならない場合には、一番良いのはパーティションを用いるかわりに、
直接 raw デバイス上に (つまり /dev/sda などに) ファイルシステムを
作成してしまうことでしょう。この方法はスーパーフロッピーフォーマット
と呼ばれています。]

2048 バイト/セクタのメディアに Linux 2.2 で正しくパーティションを
作るには、2.9i 以降の fdisk を用い、fdisk の起動オプションに
'-b 2048' を用いるようにしてください。

RPM
===

Red Hat Linux や、その他 RPM を用いたディストリビューションを
使っている人は、RPM を 2.5.x 以降のバージョンにアップグレード
する必要があります。

DOSEMU
======

2.2 カーネル用の新しい「安定」バージョンが出ました。0.98.6 以降
にアップグレードしてください。

Loadlin
=======

Linux 2.1.22 以降のリリースでは、メモリサイズの検知に新しい方法が
使われるようになりました。loadlin のユーザは loadlin-1.6a 以降に
アップグレードする必要があります。

Sh-utils
========

Linux-2.1.26 で、Configure スクリプト ("make config") が POSIX 互換
となるように更新されました。これによって expr をアップグレードする
必要が生じました。1.16 以降の sh-utils を使ってください。

パラレルポート
==============

2.1.33 から、パラレルポートのサポートは parport ドライバで扱えるように
なりました。Plug & Play 機能が有効になっている場合には、予想していた
場所とは違うところにパラレルポートが配置されるかもしれません。
例えば (DOS での) LPT1 は Linux では /dev/lp1 になることもありますが、
新しい Plug & Play ドライバを使っている場合は /dev/lp0 になるかも
しれません。新しいドライバによって印刷ができなくなったときは、lpd
の設定をチェックしてみてください。より詳しい情報源としては、カーネル
に含まれている Documentation/parport.txt が良いでしょう。

Setserial
=========

最近のカーネルによって、シリアルラインにランダムな不都合 (ラインが
フリーズする、文字が落ちる、など) が起きる場合は、setserial を
アップグレードしてみるといいでしょう。

Syncookies
==========

Syncookie のサポート (CONFIG_SYN_COOKIES) を組み込んでカーネルを
ビルドした場合でも、デフォルトでは syncookie のコードは無効に
なっています (2.0.30+ での振舞いとは異なります)。これを有効に
するには、以下のコマンドで指定してやる必要があります。

   echo 1 > /proc/sys/net/ipv4/tcp_syncookies

Bash
====

古いバージョンの Bash はシンボリックリンクを正しく扱えないので、
モジュールのコンパイルの際に問題となることがあります。この問題を
解決するには 1.14 以降にアップグレードしてください。

Sysklogd
========

古いバージョンの sysklogd は 2.2 カーネルではセグメンテーション
フォールトしてしまうことがあります。最新のリリースにアップグレード
すればこの問題は解決します。また halt 時のシステム電源断のような
新しい機能も追加されています (halt の呪文を正しく唱える必要があります。
詳細は man ページを)。さらにカーネルの出力を自動的にデコードする
機能も追加されています。

Ncpfs
=====

NetWare の共有をマウントするには、ncpfs ユーティリティをより
最近の版にアップグレードする必要があるかもしれません。

SMBfs
=====

SMB (Samba / Windows) の共有をマウントするには、Samba のリリース
2.0 に含まれている smbmount ユーティリティを使う必要があるかも
しれません。これに関するより詳しい情報は、
Documentation/filesystems/smbfs.txt を見てください。smbmount を
2.2 で動作させるには、2.2 のヘッダを使ってビルドする必要がある
ことにも注意してください。何をやってもだめなときは、再コンパイルして
うまくいくように祈りましょう ;-) さらに Mike Warfield がスクリプト
と情報を http://www.wittsend.com/mhw/smbmount.html に公開して
くれました。きっと役にたつと思います。

Pcmcia-cs
=========

pcmcia のカードを使っている場合は、デーモンと補助ユーティリティを
最新版の pcmcia-cs のものにアップグレードする必要があるかもしれません。

PPP
===

ルーティングのコードが変更されたので、PPP ネットワークを使って
いる人は pppd をアップグレードする必要があるでしょう。

iBCS
====

2.2 カーネルでは新しいバージョンの iBCS が必要です。

AppleTalk
=========

AppleTalk 機能には、Asun バージョンの netatalk を使いましょう。
ミシガン大のバージョンは 2.2 カーネルでは使えません。

Psmisc
======

psmisc に入っている fuser は、動作時に /proc/*/fd/* を見に行きます。
2.2 における /proc の変更によって動作がおかしくなった場合は、
psmisc をアップグレードしましょう。

Tunelp
======

新しい版の tunelp では、"trustirq" モードを有効にできるように
なりました。これによって IRQ 駆動の lp ポートを使っている場合の
印刷の性能が向上します。

PCI utils
=========

Linux PCI utils が公開されました。使っている PCI デバイスに関する
詳細な情報 (以前は /proc/pci にありました) を表示する lspci や、
PCI デバイスの設定レジストリの読み出し・書き込みができる setpci
などが入っています。

Xosview
=======

/proc のインターフェースが変更されたので、最近の版の xosview
が必要です。

RealPlayer
==========

現在リリースされている Real Player 5.0 は、サウンドのサブシステムに
存在していたバグに依存している部分がありましたが、このバグは修正
されたため、5.0 は動作しなくなってしまいました。Real はこの問題を
すでに知っているので、更新されたソフトも近く入手できるように
なるでしょう。それまでは (必ず rvplayer のバックアップコピーを
取った後で) 以下のように修正を行うこともできます。

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=657586 conv=notrunc

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=665986 conv=notrunc

運が良ければ、これで音が出るでしょう...

あるいは以下の修正も必要になるかもしれません。

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=702554 conv=notrunc

あるいは rpopen を http://onramp.i2k.com/~jeffd/rpopen/ から
ダウンロードして、rvplayer を実行する前にプリロードしても OK です
(これは共有オブジェクトで、rvplayer が /dev/dsp を NONBLOCK モードで
オープンできないようにします)。

Quotas
======

大きな quota 領域を使っている人は、quota utils をアップグレード
すると良いでしょう。新しいバージョンではファイルサイズをバイト単位
ではなくブロック単位でカウントするので、上限が 4 GB から数 TB に
増えています。

Ping
====

多くのディストリビューションの ping クライアントはバグバグしています。
iputils パッケージからアップデートされたものを入手しましょう。

Patch
=====

これはカーネルのアップグレードをパッチによって行おうとする場合に
問題となることがあります。もし例えば、Linux 2.2 がコンパイル
できない場合には、古すぎる patch を使っているのが原因かもしれません。
patch をアップグレードしてカーネルに再度パッチを行い、もう一度
コンパイルを試してください。

プロセスの accounting
=====================

プロセスの accounting を行っている場合には、パッケージを 2.2 
カーネルで正しく動作するように再コンパイルする必要があります。
さらにその場合は、configure スクリプトの気まぐれに気をつけて
下さい。生成された config.h には

   #define HAVE_LINUX_ACCT_H

という行が必要です。これがしばしば

   /* #undef HAVE_LINUX_ACCT_H */

となっている場合があるのです。コンパイルの前にチェックするように
しましょう

ISDN4Linux
==========

古い isdn4k-utils は、カーネルのバージョン文字列中の EXTRAVERSION を
サポートしていません。isdn4k-utils.v3.1beta7 以降へのアップグレードを
お勧めします。

Intel IA32 マイクロコード
=========================

Intel IA32 マイクロコードを更新するためのドライバが追加されました。
devfs の一般ファイル経由で、また通常の (misc) キャラクタデバイス
経由でアクセスできます。devfs を使っていない人は、この機能を利用する
前に、以下を root 権限で実行して下さい:

mkdir /dev/cpu
mknod /dev/cpu/microcode c 10 184
chmod 0644 /dev/cpu/microcode

ユーザー空間で動作する microcode_ctl ユーティリティも入手して
おくと良いでしょう。

このドライバをモジュールとしてコンパイルした場合は、次の行を
/etc/modules.conf ファイルに追加してください:

alias char-major-10-184 microcode


ファイルの入手先
****************

Binutils
========

バージョン 2.9.1.0.25:
ftp://ftp.valinux.com/pub/support/hjl/binutils/2.9.1/binutils-2.9.1.0.25.tar.gz
インストール用メモ
ftp://ftp.valinux.com/pub/support/hjl/binutils/2.9.1/release.binutils-2.9.1.0.25

バージョン 2.9.5.0.16:
ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-2.9.5.0.16.tar.bz2
インストール用メモ
ftp://ftp.valinux.com/pub/support/hjl/binutils/release.binutils-2.9.5.0.16

Bin86
=====

バージョン 0.4:
ftp://metalab.unc.edu/pub/Linux/GCC/bin86-0.4.tar.gz
ftp://tsx-11.mit.edu/pub/linux/packages/GCC/bin86-0.4.tar.gz

Gnu C
=====

egcs-1.1.2:
ftp://ftp.valinux.com/pub/support/hjl/gcc/egcs-1.1.2/egcs-1.1.2-glibc.x86.tar.bz2
ftp://ftp.valinux.com/pub/support/hjl/gcc/egcs-1.1.2/egcs-1.1.2-libc5.x86.tar.bz2
ftp://ftp.valinux.com/pub/support/hjl/gcc/egcs-1.1.2/egcs-1.1.2-alpha.x86.tar.bz2
インストール用メモ
ftp://ftp.valinux.com/pub/support/hjl/gcc/egcs-1.1.2/release.egcs-1.1.2

Gnu C バージョン 2.7.2.3 のソース:
ftp://ftp.gnu.org/gnu/gcc/gcc-2.7.2.3.tar.gz
ftp://metalab.unc.edu/pub/gnu/gcc-2.7.2.3.tar.gz

Linux C ライブラリ
==================

(libc5) バージョン 5.4.46:
ftp://tsx-11.mit.edu/pub/linux/packages/GCC/libc-5.4.46.bin.tar.gz
ftp://metalab.unc.edu/pub/Linux/GCC/libc-5.4.46.bin.tar.gz
5.4.46 のインストール用メモ
ftp://tsx-11.mit.edu/pub/linux/packages/GCC/release.libc-5.4.46
ftp://metalab.unc.edu/pub/Linux/GCC/release.libc-5.4.46

(libc6) GNU libc バージョン 2.0.7pre6:
ftp://ftp.kernel.org/pub/software/libs/glibc/glibc-2.0.7pre6.tar.gz
ftp://ftp.kernel.org/pub/software/libs/glibc/glibc-2.0.7pre6.tar.bz2

Linux C++ ライブラリ
====================

バージョン 2.7.2:
ftp://ftp.gnu.org/gnu/libg++/libg++-2.7.2.tar.gz

ダイナミックリンカ
==================

バージョン 1.9.9:
ftp://tsx-11.mit.edu/pub/linux/packages/GCC/ld.so-1.9.9.tar.gz
ftp://metalab.unc.edu/pub/Linux/GCC/ld.so-1.9.9.tar.gz

Modules ユーティリティ
======================

バージョン 2.1.121:
ftp://ftp.kernel.org/pub/linux/kernel/v2.1/modutils-2.1.121.tar.gz

Procps ユーティリティ
====================

バージョン 2.0.3:
ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/procps-2.0.3.tar.gz

Procinfo ユーティリティ
======================

バージョン 17:
ftp://ftp.cistron.nl/pub/people/svm/procinfo-17.tar.gz

Psmisc ユーティリティ
====================

バージョン 17:
ftp://lrcftp.epfl.ch/pub/linux/local/psmisc/psmisc-17.tar.gz
ftp://metalab.unc.edu/pub/Linux/system/status/ps/psmisc-17.tar.gz

RPM ユーティリティ
=================

バージョン 2.5.1 のソース:
ftp://ftp.rpm.org/pub/rpm/dist/rpm-2.5.x/rpm-2.5.1-1.src.rpm
ftp://ftp.rpm.org/pub/rpm/dist/rpm-2.5.x/rpm-2.5.1.tar.gz

DOSEMU
======

バージョン 0.98.6:
ftp://ftp.dosemu.org/dosemu/dosemu-0.98.6.tgz

Loadlin
=======

バージョン 1.6a:
ftp://ftp.suse.com/pub/loadlin/update-1.6a/loadlin.exe.gz
ftp://elserv.ffm.fgan.de/pub/linux/loadlin-1.6/update-1.6a/loadlin.exe.gz

Sh-utils
========

バージョン 1.16:
ftp://metalab.unc.edu/pub/gnu/sh-utils-1.16.tar.gz
ftp://ftp.gnu.org/gnu/sh-utils/sh-utils-1.16.tar.gz

Util-linux
==========

バージョン 2.9:
ftp://ftp.win.tue.nl/pub/linux/utils/util-linux/util-linux-2.9z.tar.gz

Autofs
======

バージョン 3.1.3:
ftp://ftp.kernel.org/pub/linux/daemons/autofs/autofs-3.1.3.tar.gz

NFS
===

ユーザ空間版 バージョン 2.2beta40:
ftp://ftp.mathematik.th-darmstadt.de/pub/linux/okir/dontuse/nfs-server-2.2beta40.tar.gz
ftp://linux.nrao.edu/mirrors/fb0429.mathematik.th-darmstadt.de/pub/linux/okir/dontuse/nfs-server-2.2beta40.tar.gz

カーネルレベル版 nfs-utils-0.1.6:
ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-0.1.6.tar.gz

Net-tools
=========

バージョン 1.52:
ftp://ftp.cs-ipv6.lancs.ac.uk/pub/Code/Linux/Net_Tools/net-tools-1.52.tar.gz
http://www.tazenda.demon.co.uk/phil/net-tools/net-tools-1.52.tar.gz

Ypbind
======

バージョン 3.3:
ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypbind-3.3.tar.gz

Sysklogd
========

バージョン 1.3-31:
ftp://metalab.unc.edu/pub/Linux/system/daemons/sysklogd-1.3-31.tar.gz

Bash
====

バージョン 1.14.7:
ftp://ftp.gnu.org/gnu/bash/bash-1.14.7.tar.gz

バージョン 2.03:
ftp://ftp.gnu.org/gnu/bash/bash-2.03.tar.gz

Ncpfs
=====

バージョン 2.2.0:
ftp://ftp.gwdg.de/pub/linux/misc/ncpfs/ncpfs-2.2.0.tgz

SMBfs
=====

Samba バージョン 2.0.5a:
ftp://ftp.samba.org/pub/samba/samba-2.0.5a.tar.gz

Pcmcia-cs
=========

バージョン 3.0.14:
ftp://sourceforge.org/pcmcia/pcmcia-cs.3.0.14.tar.gz

Setserial
=========

バージョン 2.15:
ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-2.15.tar.gz
ftp://metalab.unc.edu/pub/Linux/system/serial/setserial-2.15.tar.gz

PPP
===

バージョン 2.3.10:
ftp://cs.anu.edu.au/pub/software/ppp/ppp-2.3.10.tar.gz

IP Chains
=========

バージョン 1.3.9:
http://netfilter.filewatcher.org/ipchains/ipchains-1.3.9.tar.bz2
http://www.samba.org/netfilter/ipchains/ipchains-1.3.9.tar.bz2
http://netfilter.kernelnotes.org/ipchains/ipchains-1.3.9.tar.bz2

IP Masq Adm
===========

バージョン 0.4.2:
http://juanjox.kernelnotes.org/ipmasqadm-0.4.2.tar.gz

DHCP クライアント
================

ISC 版 dhcpclient バージョン 2.0:
ftp://ftp.isc.org/isc/dhcp/test/dhcp-2.0.tar.gz

PhysTech 版 dhcpcd バージョン 1.3.18-pl1:
ftp://ftp.phystech.com/pub/dhcpcd-1.3.18-pl1.tar.gz

iBCS
====

11/05/98 版:
ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-2.1-981105-ALPHA.tar.gz

Asun netatalk
=============

バージョン 2.1.3:
ftp://ftp.u.washington.edu/pub/user-supported/asun/netatalk-1.4b2+asun2.1.3.tar.gz

Fbset
=====

バージョン 2.1:
http://home.tvd.be/cr26864/Linux/fbdev/

PCI utils
=========

バージョン 2.0:
ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/pciutils-2.0.tar.gz
ftp://metalab.unc.edu/pub/Linux/hardware/pciutils-2.0.tar.gz

Tunelp
======

バージョン 0-2.1.131:
ftp://e-mind.com/pub/linux/tunelp/tunelp-0-2.1.131.tar.gz

Xosview
=======

バージョン 1.6.1:
ftp://metalab.unc.edu/pub/Linux/system/status/xstatus/xosview-1.6.1.tar.gz

Quota ユーティリティ
====================

バージョン 1.55:
ftp://ftp.uk.linux.org/pub/linux/sct/quota/quota-1.55-10.i386.rpm
ftp://ftp.uk.linux.org/pub/linux/sct/quota/quota-1.55-10.src.rpm

IP utils
========

最新版:
ftp://ftp.inr.ac.ru/ip-routing/iproute2-2.2.4-now-ss990824.tar.gz
ftp://ftp.inr.ac.ru/ip-routing/iputils-ss990915.tar.gz

Patch
=====

バージョン 2.5:
ftp://ftp.gnu.org/gnu/patch/patch-2.5.tar.gz

ISDN4Linux
==========
バージョン v3.1beta7:
ftp://ftp.isdn4linux.de/pub/isdn4linux/utils/testing/isdn4k-utils.v3.1beta7.tar.gz

その他の情報
============

これらのユーティリティのほとんどは、読者の皆さんがよく使っている
近場の Linux ミラーサイトからも入手できるはずです。metalab や
tsx-11 を調べる前に、できる限り近くのサイトから入手するように
してください。

これらのソフトウェアの最新バージョンが、お使いのディストリビューション
のパッケージ形式になっていないかもチェックしておくと良いでしょう。

RedHat (あるいは RPM を使う他のディストリビューション) を使っている
人は、これらのユーティリティのほとんどを RPM 形式で入手することが
できます。RPM でないバージョンをインストールする前に、お近くの
RedHat ミラーサイトを調べてみてください。アップグレードでインストー
ルを行うためには --force オプションを使う必要があるかもしれません。
ftp://contrib.redhat.com/ , ftp://developer.redhat.com/ ,
ftp://updates.redhat.com/ で必要なものはほとんど揃うでしょう。
また RedHat 5.2 なら必要なソフトウェアのほとんどが付属しています。

Debian (あるいは .deb パッケージを使う他のディストリビューション)を
使っている人は、お近くの Debian ミラーサイトの "unstable" ディレクトリや
"project/experimental" ディレクトリを調べてください。また Debian 2.0 版
なら必要なパッケージのほとんどが揃っています。

他にも 2.2 で「使えなくなってしまう」パッケージの情報や、2.2 の
新機能を使う際に必要となる特別なパッケージ・新しいパッケージの
情報がありましたら、Chris Ricker (kaboom@gatech.edu または
chris.ricker@genetics.utah.edu) までお知らせください。

訳注: 日本国内のミラーサーバをあげておきます。

・ftp.kernel.org のミラー

        ftp://ftp.ring.gr.jp/pub/linux/kernel.org/

  Ring Server プロジェクト (http://www.ring.gr.jp/,
  ftp://ftp.ring.gr.jp/) では他にもさまざまなアーカイブサイトが
  ミラーされています。

・metalab.unc.edu のミラー

        ftp://sunsite.sut.ac.jp/pub/archives/linux/sunsite-unc/

・tsx-11.mit.edu のミラー

        ftp://ftp.iamas.ac.jp/Linux/

・GNU アーカイブのミラー

        ftp://ftp.ring.gr.jp/pub/GNU/

・ftp.samba.org のミラー

        ftp://ftp.ring.gr.jp/pub/net/samba/

他にもご存じのミラーがあったら nakano@apm.seikei.ac.jp まで
教えてください。

$Id: Changes,v 1.3 2001/03/31 05:29:56 nakano Exp $
